Bug 110151 - RFE: Upgrade quota-3.06 to quota-3.09
RFE: Upgrade quota-3.06 to quota-3.09
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: quota (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brock Organ
http://people.jyu.fi/~mesrik/rpms/quota/
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-15 07:48 EST by Riku Meskanen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-30 03:52:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Riku Meskanen 2003-11-15 07:48:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
Howdy,

It would be advisable to upgrade to quota-3.09, please.

Starting from 3.08 it is possible to fix a desired port
with rpc.rquotad which is what propably anybody running
a FW (iptables) would like to have.

See http://www.ba.infn.it/calcolo/documenti/NFSServer.html#Firewall

The ready made RPM's, diffs etc. are available 
http://people.jyu.fi/~mesrik/rpms/quota/

Also, adding simple means to pass parameters via /etc/init.d/nfslockd

--- etc/init.d/nfslock.dist     2003-06-21 04:23:13.000000000 +0300
+++ etc/init.d/nfslock  2003-11-14 16:47:06.000000000 +0200
@@ -47,11 +47,11 @@
        # Start daemons.
        if [ "$USERLAND_LOCKD" ]; then
          echo -n $"Starting NFS locking: "
-         daemon rpc.lockd
+         daemon rpc.lockd
          echo
        fi
        echo -n $"Starting NFS statd: "
-       daemon rpc.statd
+       daemon rpc.statd $STATD_OPTIONS
        RETVAL=$?
        echo
        [ $RETVAL -eq 0 ] && touch /var/lock/subsys/nfslock

and defining the STATD_OPTIONS for example /etc/sysconfig/network
makes port fixing quite easy.

:-) riku


Version-Release number of selected component (if applicable):
quota-3.06-11

How reproducible:
Always

Steps to Reproduce:
1. rpcinfo -p localhost
2.
3.
    

Actual Results:  A random port is selected with 3.06

Expected Results:  A fixed ports, provided in /etc/services has effect

Additional info:

Email, if there is any questions, please.
Comment 1 Oliver Jones 2004-02-15 01:22:15 EST
The statd options would be best sourced from /etc/sysconfig/nfs like
the mountd options.  See my patch to the nfslock init.d script on bug
90844.

I second this request for a newer quota tools package.  Having to
fiddle around and install new packages to support nfs connects to my
rather locked down server is annoying.

The quota package is up to 3.11 now so 3.09 would be the minimum
version really.
Comment 2 Doncho N. Gunchev 2004-05-29 21:00:58 EDT
    FC2 uses quota-3.10-2 now. I also see 'daemon rpc.statd
"$STATDARG"' in /etc/rc.d/init.d/nfslock. If it is really fixed
shouldn't this be updated to [Fixed] status?
Comment 3 Riku Meskanen 2004-05-30 03:52:04 EDT
Indeed for the FC2 yes, it's fixed.

For FC1 there is method (nfs-utils-1.0.6) fixing rpc.stad 
ports, but quota is still 3.06-11.

Anyway as this was at least for my side RFE, it's done & fixed now.

Thanks guys.

Note You need to log in before you can comment on or make changes to this bug.